Subject: Re: Lot lilypond-user-fr, Vol 70, Parution 2

From: Gaelle <[email-masked]>
Date: Tue, 27 Nov 2007 19:58:01 +0100

Bonjour,

Je me suis mise à linux depuis 1 mois et à lilypond depuis 4 jours...

J'en suis d'ailleurs très satisfaite contrairement à d'autres logiciels
graphiques qui devraient être plus simples... Je n'ai eu qu'à recopier
quelques partitions pour le moment.
Je connais LaTex de nom et je voulais donc savoir à quoi ressemblait une
partition codée à l'aide de ce langage et voici la commande que j'ai tapée :
galou@galou-laptop:~$ lilypond --tex
/home/galou/Documents/Musique/lilypond/fichiers_textes/Un_homme_heureux.ly

Et voici ce que j'ai obtenu :...
GNU LilyPond 2.11.35
Traitement de «
/home/galou/Documents/Musique/lilypond/fichiers_textes/Un_homme_heureux.ly »
Analyse...
Interprétation en cours de la musique...[8][16][24][32]
Pré-traitement des éléments graphiques...
Interprétation en cours de la musique...
Sortie MIDI vers « Un_homme_heureux.midi »...
Détermination du nombre optimal de pages...
Répartition de la musique sur une page...
Drawing systems...
Sortie mise en page vers « Un_homme_heureux.ps »...
Avertissement : impossible de générer "TeX" à l'aide du support postscript
galou@galou-laptop:~$

J'ai essayé également cette commande en remplaçant "tex" pardvi et rien à
faire... Du coup, je ne peux pas voir à quoi ressemble le langage Tex pour
éditer la musique... :-(
Est-ce que quelqu'un aurait une solution à me proposer ?

Merci en tout cas, car le trouve lilypond extra !!!

Gaëlle

Le 27/11/07, [email-masked] <
[email-masked]> a écrit :
>
> Envoyez vos messages pour la liste lilypond-user-fr à
>         [email-masked]
>
> Pour vous (dés)abonner par le web, consultez
>         http://lists.gnu.org/mailman/listinfo/lilypond-user-fr
>
> ou, par email, envoyez un message avec 'help' dans le corps ou dans le
> sujet à
>         [email-masked]
>
> Vous pouvez contacter l'administrateur de la liste à l'adresse
>         [email-masked]
>
> Si vous répondez, n'oubliez pas de changer l'objet du message afin
> qu'il soit plus spécifique que "Re: Contenu du digest de
> lilypond-user-fr..."
>
> Thèmes du jour :
>
>    1. Re: StemUp probleme (Martial)
>    2. Re: StemUp probleme (Martial)
>    3. Re: Bonjour (John Mandereau)
>    4. Re: Stage Musique sur Logiciels libres (John Mandereau)
>    5. LilyPond et la musique Libre (was: Stage Musique sur
>       Logiciels libres) (Valentin Villenave)
>
>
> ---------- Message transféré ----------
> From: Martial <[email-masked]>
> To: [email-masked]
> Date: Mon, 26 Nov 2007 20:25:39 +0100
> Subject: Re: StemUp probleme
> bonjour
>
> C'est appoggiatura qui pose problème en début de portée;
> et une accolade de trop
>
> Une  solution mettre une petite valeur de silence avant l'appoggiature
>
>
> %-------------------------------------------
> \version "2.11.34"
> \include "italiano.ly"
> TimeKey = { \key fa \minor \time 2/4 }
> droite = \relative do'' {
>         \tempo 4=80
> \cadenzaOn s32  \cadenzaOff << \stemUp {  \appoggiatura  solb'8-5
> fa8-4 fa16-3 (solb-4) fa8-. fa-.  } \\ {  \stemDown lab,8 lab la la }
>   >>    |%7
>         }
>
> gauche =  \relative do { \cadenzaOn s32  \cadenzaOff
>         reb,8-. <reb' fa>-._\markup { \italic {sempre staccato} } do,
> <do'mib
> fa>     |%7
>         \bar "|."
> }
>
> \score {
>         <<
>         \new PianoStaff <<
>                         \override Score.MetronomeMark #'extra-offset = #'
> (-5.2 . +1.8)
>                         \override Score.SeparationItem #'padding = #0
>                         \set PianoStaff.instrumentName = \markup{
> \fontsize #2 {"Piano"}
> \hspace #1.0 }
>                         \new Staff = upper {  \clef treble \TimeKey
> \droite }
>                         \new Staff = lower  { \clef bass \TimeKey \gauche
> }
>                         >>
>          >>
>      \layout { }
>         \midi {
>                 \context {
>                         \Score tempoWholesPerMinute = #(ly:make-moment 80
> 4)
>                          }
>                       }
>       }
> %-------------------------------------------
>
> --
> Martial
> http://cathemline.org
>
>
>
>
>
>
>
> ---------- Message transféré ----------
> From: Martial <[email-masked]>
> To: [email-masked]
> Date: Mon, 26 Nov 2007 22:52:21 +0100
> Subject: Re: StemUp probleme
> bonsoir
>
> j'avais pas vu que le sujet avait changé en :
>         "Problème d'orientation de queue en multi voix"
>
> Bon, la solution était de rajouter un silence invisible dans la portée
> "gauche"
>
> Merci John Mandereau
>
>
> --
> Martial
>
>
>
>
>
>
>
>
>
> ---------- Message transféré ----------
> From: John Mandereau <[email-masked]>
> To: Nicolas Sceaux <[email-masked]>
> Date: Mon, 26 Nov 2007 23:00:04 +0100
> Subject: Re: Bonjour
>
> Le dimanche 25 novembre 2007 à 21:27 +0100, Nicolas Sceaux a écrit :
> > Bonjour,
> >
> > Voici un petit mot à la liste pour dire que je viens de m'y abonner.
> > Donc si vous avez des questions sur (en vrac) comment faire des
> > fonctions
> > musicales, des commandes de textes, ou plus généralement des bidouilles
> > en Scheme, et que ça vous pose problème de les exprimer en anglais sur
> > les autres listes, je peux essayer d'y répondre ici.
>
> Bienvenue Nicolas,
>
> tu es certainement le plus expérimenté en Scheme sur cette liste !
>
> Le trafic est très variable mais bien plus faible que celui de
> lilypond-user, nous ne croulons pas (encore) sous les messages :-)
>
> Salutations lilypondesques
> John
>
>
>
>
>
>
> ---------- Message transféré ----------
> From: John Mandereau <[email-masked]>
> To: Valentin Villenave <[email-masked]>
> Date: Mon, 26 Nov 2007 23:11:37 +0100
> Subject: Re: Stage Musique sur Logiciels libres
> Le dimanche 25 novembre 2007 à 21:13 +0100, Valentin Villenave a écrit :
> > J'ai également traduit la présentation de Francisco Vila, que je
> > trouve très simple, claire et intelligente :
> >
> http://valentin.villenave.info/lilypond/sketchbook/aec-congress-lilypond_frtrad.pdf
>
> Ah, j'allais justement te demander si tu avais mis en ligne cette
> traduction ;-)
>
> > Je voudrais en faire un fichier vidéo, mais il faut que je trouve les
> > outils (et le temps !).
>
> En tout cas, un diaporama PDF fait avec LaTeX comme celui-ci c'est super
> classe !  J'essaierai de m'y mettre plutôt qu'à OOo Presentation.  Si
> j'ai bien vu, ces documents sont "tous droits réservés", mais si veux
> les présenter en public, je peux facilement contacter l'auteur et le
> traducteur :-)
>
>
> > Sinon, j'avais aussi commencé à faire des petites bandes dessinées un
> > peu débiles pour m'amuser ; je m'y remettrai un jour quand j'aurai
> > dessiné une police adéquate :
> >
> http://valentin.villenave.info/lilypond/sketchbook/expression_musicale.png
> > Voir aussi, non encore traduit :
> > http://valentin.villenave.info/lilypond/sketchbook/polyphony_eng.png
> > http://valentin.villenave.info/lilypond/sketchbook/tuplets_eng.png
> > http://valentin.villenave.info/lilypond/sketchbook/languages_eng.png
>
> Héhé, Graham et moi on devait pas mal te prendre la tête quand tu as
> fait ces BDs :-P
>
>
> > Bref. Tout ça pour faire un peu d'auto-promotion peu discrète, un peu
> > off-topic concernant les stages :)
>
> Tant qu'on est dans l'off-topic, j'ai apprécié
> http://valentin.villenave.info/spip.php?article21
> les idées que tu présentes ne sont pas spécialement nouvelles, mais sont
> exprimées avec liberté, sans détours.
>
> Aurais-tu lu "Du bon usage de la piraterie" de Florent Latrive, ou
> "Libres enfants du savoir numérique" qu'on peut trouver en particulier
> sur http://www.freescape.eu.org/ ? ;-)
>
> Autour de ces sujets, j'ai des questions utopiques comme :
>
> Serait-it possible et souhaitable de créer des sociétés de droit
> d'auteur démocratiques, qui servent véritablement les intérêts des
> artistes et du public ?  Des sites comme http://www.dogmazic.net/
> permettent de croiser les modes de diffusion de la musique
> (téléchargements, concerts, ...), peut-être sont-ils le futur de la
> gestion des droits d'auteurs ?
>
> Comment pourrait-on entreprendre un archivage numérique (scans de
> partitions originales avec transcriptions de qualité en notation moderne
> dans un format comme ly ou XML) la musique du domaine public, en se
> mettant à l'abri de toute menace de l'industrie des médias et en
> assurant une qualité de transcription ?  Ça n'existe pas encore, à ma
> connaissance.
>
> Bon, j'arrête là, sinon je vais y passer la nuit...
>
> Sincères salutations
> --
> John Mandereau <[email-masked]>
>
>
>
>
>
>
> ---------- Message transféré ----------
> From: "Valentin Villenave" <[email-masked]>
> To: "John Mandereau" <[email-masked]>
> Date: Tue, 27 Nov 2007 10:51:56 +0100
> Subject: LilyPond et la musique Libre (was: Stage Musique sur Logiciels
> libres)
> Le 26/11/07, John Mandereau<[email-masked]> a écrit :
> > Le dimanche 25 novembre 2007 à 21:13 +0100, Valentin Villenave a écrit :
> > > J'ai également traduit la présentation de Francisco Vila, que je
> > > trouve très simple, claire et intelligente :
> > >
> http://valentin.villenave.info/lilypond/sketchbook/aec-congress-lilypond_frtrad.pdf
> >
> > Ah, j'allais justement te demander si tu avais mis en ligne cette
> > traduction ;-)
> >
> > > Je voudrais en faire un fichier vidéo, mais il faut que je trouve les
> > > outils (et le temps !).
> >
> > En tout cas, un diaporama PDF fait avec LaTeX comme celui-ci c'est super
> > classe !
>
> C'est aussi mon avis :)
>
> Je voulais rajouter du son (enregistrer un commentaire, par exemple)
> pour rendre ça plus "vendeur". Faut que je regarde les logiciels qui
> permettent ça (Kino et compagnie).
>
> >  J'essaierai de m'y mettre plutôt qu'à OOo Presentation.  Si
> > j'ai bien vu, ces documents sont "tous droits réservés", mais si veux
> > les présenter en public, je peux facilement contacter l'auteur et le
> > traducteur :-)
>
> Euh... Il me semble que Francisco était prêt à mettre ça comme du
> domaine public, et c'est aussi mon cas.
>
> > Tant qu'on est dans l'off-topic, j'ai apprécié
> > http://valentin.villenave.info/spip.php?article21
>
> Merci. J'avais peur que ce texte soit trop long et trop militant pour
> s'inscrire dans le cadre de mon site (mais bon, c'est justement mon
> site, donc j'y mets ce que je veux ;)
>
> > Aurais-tu lu "Du bon usage de la piraterie" de Florent Latrive, ou
> > "Libres enfants du savoir numérique" qu'on peut trouver en particulier
> > sur http://www.freescape.eu.org/ ? ;-)
>
> Bien sûr, et bien d'autres textes encore.
>
> En fait -- je tombe les masques ici... -- outre mon engagement pour
> LilyPond, je suis également représentant du Parti Pirate (
> http://www.partipirate.org/ ), qui est un collectif de réflexion sur
> la Propriété Intellectuelle, la diffusion de la culture et du savoir,
> etc. Autant dire que c'est un sujet par lequel je me sens concerné au
> plus haut point.
>
> > Autour de ces sujets, j'ai des questions utopiques comme :
> >
> > Serait-it possible et souhaitable de créer des sociétés de droit
> > d'auteur démocratiques, qui servent véritablement les intérêts des
> > artistes et du public ?  Des sites comme http://www.dogmazic.net/
> > permettent de croiser les modes de diffusion de la musique
> > (téléchargements, concerts, ...), peut-être sont-ils le futur de la
> > gestion des droits d'auteurs ?
>
> C'est une question tout à fait centrale. Comme tu le sais peut-être,
> je suis en train d'écrire un opéra destiné à être publié sous licence
> GPL ou apparentée. Or aucune des sociétés auprès desquelles je me suis
> renseigné ne serait prête à le protéger sous une telle licence (ça
> tombe plutôt bien, vu que de toute façon j'abhorre notoirement la
> SACEM et consorts).
>
> Il n'existe pas de telle société, et c'est justement l'un des points
> faibles de la culture en France. La seule solution possible serait de
> me faire plus ou moins parrainer par une association telle que l'APRIL
> (qui a dédaigné de me répondre quand je leur ai posé la question).
>
> Un autre aspect important est l'édition. Rares sont les éditeurs qui
> reconnaissent les licences alternatives. Il y en a quelques uns tout
> de même : c'est le cas de l'éditeur de Florent Latrive, c'est aussi le
> cas des éditions In Libro Veritas, qui seraient d'ailleurs prêtes à
> éditer mon opéra. Mais tout cela reste fort marginal.
>
> > Comment pourrait-on entreprendre un archivage numérique (scans de
> > partitions originales avec transcriptions de qualité en notation moderne
> > dans un format comme ly ou XML) la musique du domaine public, en se
> > mettant à l'abri de toute menace de l'industrie des médias et en
> > assurant une qualité de transcription ?  Ça n'existe pas encore, à ma
> > connaissance.
>
> Le projet Mutopia va dans ce sens, non?
>
> J'ai été particulièrement déçu lors du coup de pub de, je crois,
> Bärenreiter en 2006 lorsqu'ils ont publié gratuitement en ligne
> l'intégralité des oeuvres de Mozart. N'ayant pas accordé la /moindre/
> concession sur leur licence propriétaire, leurs partitions ne sont ni
> redistribuables, ni modifiables en aucune façon : de ce fait, par
> exemple, à peine 24H après le lancement de l'opération, leurs serveurs
> ont sauté du fait de l'affluence, et sont restés offline pendant très
> longtemps -- ce qui ne serait bien sûr pas arrivé s'ils avaient eu
> l'intelligence d'autoriser la redistribution de leur catalogue sur un
> réseau décentralisé de type P2P.
>
> De surcroît, en diffusant cette édition et pas une autre, ils
> musellent savamment toutes les possibilités de transcription : si tu
> recopies une seule de ces partitions (de Mozart hein, on parle d'un
> bonhomme d'il y a plus de deux siècles) sous Lilypond, tu es coupable
> de contrefaçon et tu ne pourras pas diffuser ta partition chez Mutopia
> ni où que ce soit.
>
> Ainsi, lorsque j'ai fait un article sur une pièce de Mozart (
> http://valentin.villenave.info/spip.php?article35 ), je n'ai pas eu
> d'autre choix que de mettre le lien vers la partition, et rien
> d'autre. Si du jour au lendemain Bärenreiter décide d'arrêter
> l'opération et de rendre ce lien payant, il n'y aura rien à y faire.
> C'est une situation absolument intolérable. (Idem d'ailleurs pour tous
> les sites gratuits-mais-propriétaires tels que
> http://www.sheetmusicarchive.net/ )
>
> Comme tu le vois, où que l'on regarde, LilyPond apparaît comme la
> solution la plus crédible à toutes ces avanies. Mais ça, tu le savais
> déjà :)
>
> Cordialement,
> Valentin
>
>
>
>
> _______________________________________________
> liste de diffusion lilypond-user-fr
> [email-masked]
> http://lists.gnu.org/mailman/listinfo/lilypond-user-fr
>
>

-- 
Gaëlle Esnault